Submit a public form → creates or (portal-scoped) edits a record (anonymous). Multipart with a "payload" JSON text part when the form has an attachment field.
POST
/api/v1/public/forms/{token}
const url = 'https://example.com/api/v1/public/forms/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"values":{},"hp":"example","recipient":"example","record_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/public/forms/example \ --header 'Content-Type: application/json' \ --data '{ "values": {}, "hp": "example", "recipient": "example", "record_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Request Body
Section titled “Request Body”object
values
object
key
additional properties
hp
string
recipient
string
record_id
string format: uuid
object
values
object
key
additional properties
hp
string
recipient
string
record_id
string format: uuid